IM_HISTLIN(3)

NAME
im_histlin - write a line of history in image->Hist

SYNOPSIS
#include <vips/vips.h> void im_histlin( variable_list )

DESCRIPTION
im_histlin(3) appends one line of history consisting of a buffer of data, time, history and CR in history section of the image descriptor. The format of ( variable_list ) is:
 (image_descriptor, format, arg1, arg2, ...) where format, arg1, arg2, ... are the same as in printf. If Hist is NULL, then im_histlin(3) makes up a one-line history, of just the file name. The user should set up format, arg1, arg2, ... in such a way that the added history line corresponds to the command line which creates the same effect with the same arguments. It can be used after calling an im_function. It is simpler to use the function im_updatehist(3) instead.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_updatehist(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 22/04/1991